Subject: bug#7987: 23.2; Refill error in message-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Jun 2011 16:00:01 -0400

>> In message-mode, there is an error in the fill command when you try to
>> refill indented (blockquoted) paragraphs. Instead of filling the
>> indented paragraph in-place, it removes empty lines before and after the
>> blockquote, indents the first line further, and then indents the second
>> and subsequent lines further still, leading to a mess.

> I've now changed `message-point-in-header-p' to return nil if there's no
> header separator at all.  I think this should make your use case work
> better, without leading to any other problems.

Hmm... so message-mode now won't recognize an RFC2822-format buffer
(i.e. with an empty line as header separator)?  That would seem like
a more important use-case then the "no header" case.

        Stefan